Update an Incident

Cortex Xpanse REST API

post /public_api/v1/incidents/update_incident/

Update one or more fields of a specific incident. Missing fields are ignored.
Note the following:

  • assigned_user_mail field is validated by Cortex Xpanse to confirm the provided assignee email address belongs to a user that exists in the same Cortex Xpanse tenant.
  • To unassign an incident pass none or ”assigned_user_mail”: “”.
  • To remove a manually set severity pass none or “manual_severity”: “”.
Request headers
authorization String required

api-key

Example: {{api_key}}
x-xdr-auth-id String required

api-key-id

Example: {{api_key_id}}
CLIENT REQUEST
curl -X 'POST'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'authorization: {{api_key}}' -H 'x-xdr-auth-id: {{api_key_id}}'
'https://api-}/public_api/v1/incidents/update_incident/'
-d '{ "request_data" : { "incident_id" : "incident_id", "update_data" : { "assigned_user_mail" : "assigned_user_mail", "comment" : { "comment_action" : "add", "value" : "value" }, "assigned_user_pretty_name" : "assigned_user_pretty_name", "manual_severity" : "low", "status" : "resolved", "resolve_comment" : "resolve_comment" } } }'
import http.client conn = http.client.HTTPSConnection("api-") payload = "{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}" headers = { 'authorization': "{{api_key}}", 'x-xdr-auth-id': "{{api_key_id}}", 'content-type': "application/json" } conn.request("POST", "%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["authorization"] = '{{api_key}}' request["x-xdr-auth-id"] = '{{api_key_id}}' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "incident_id": "string", "update_data": { "assigned_user_mail": "string", "assigned_user_pretty_name": "string", "manual_severity": "low", "status": "resolved", "resolve_comment": "string", "comment": { "comment_action": "add", "value": "string" } } } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/"); xhr.setRequestHeader("authorization", "{{api_key}}"); xhr.setRequestHeader("x-xdr-auth-id", "{{api_key_id}}"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/") .header("authorization", "{{api_key}}") .header("x-xdr-auth-id", "{{api_key_id}}") .header("content-type", "application/json") .body("{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}") .asString();
import Foundation let headers = [ "authorization": "{{api_key}}", "x-xdr-auth-id": "{{api_key_id}}", "content-type": "application/json" ] let parameters = ["request_data": [ "incident_id": "string", "update_data": [ "assigned_user_mail": "string", "assigned_user_pretty_name": "string", "manual_severity": "low", "status": "resolved", "resolve_comment": "string", "comment": [ "comment_action": "add", "value": "string" ] ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}", CURLOPT_HTTPHEADER => [ "authorization: {{api_key}}", "content-type: application/json", "x-xdr-auth-id: {{api_key_id}}" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "authorization: {{api_key}}"); headers = curl_slist_append(headers, "x-xdr-auth-id: {{api_key_id}}"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-/%7B%7Bfqdn%7D%7D/public_api/v1/incidents/update_incident/"); var request = new RestRequest(Method.POST); request.AddHeader("authorization", "{{api_key}}"); request.AddHeader("x-xdr-auth-id", "{{api_key_id}}"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"incident_id\":\"string\",\"update_data\":{\"assigned_user_mail\":\"string\",\"assigned_user_pretty_name\":\"string\",\"manual_severity\":\"low\",\"status\":\"resolved\",\"resolve_comment\":\"string\",\"comment\":{\"comment_action\":\"add\",\"value\":\"string\"}}}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
request_dataobjectrequired
incident_idstring
update_dataobjectrequired
assigned_user_mailstring

Updated email address of the incident assignee.

assigned_user_pretty_namestring

Updated full name of the incident assignee. To supply a new value in this field, you must also supply a value for assigned_user_mail in the same request.

manual_severitystring (Enum)

Administrator-defined severity.

Allowed values:"low""high""critical""medium"
statusstring (Enum)

Updated incident status.

Allowed values:"resolved""new""under_investigation"
resolve_commentstring

Descriptive comment explaining the incident change.

commentobject

Add a comment to the incident.

comment_actionstring (Enum)
Default:"add"
Allowed values:"add"
valuestring
Free-Form object
Free-Form object
Free-Form object
Free-Form object
REQUEST
{ "request_data": { "incident_id": "example", "update_data": { "assigned_user_mail": "example", "assigned_user_pretty_name": "example", "manual_severity": "low", "status": "resolved", "resolve_comment": "example", "comment": { "comment_action": "add", "value": "example" } } } }
Responses

Successful response

Body
application/json
replyboolean
warningsarray[string]
Free-Form object
RESPONSE
{ "reply": false, "warnings": [ "example" ] }

Bad Request. Got an invalid JSON.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized access. An issue occurred during authentication. This can indicate an incorrect key, id, or other invalid authentication parameters.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unauthorized access. User does not have the required license type to run this API.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Forbidden access. The provided API Key does not have the required RBAC permissions to run this API.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }

Unprocessable Entity

Body
application/json
codeinteger

Error code

statusstring

Error name

messagestring

Error message

errorsobject

Errors

RESPONSE
{ "code": 0, "status": "example", "message": "example", "errors": {} }

Internal server error. A unified status for API communication type errors.

Body
application/json
replyobject

The query results upon error.

err_codestring

HTTP response code.

err_msgstring

Error message.

err_extrastring

Additional information describing the error.

Free-Form object
Free-Form object
RESPONSE
{ "reply": { "err_code": "example", "err_msg": "example", "err_extra": "example" } }